3 Replies Latest reply on Feb 15, 2012 3:51 AM by saurabh agrawal

    XDoclet Issue with Eclipse 3.4

    Rajasekhar Devi Reddy Newbie

      Hi

      Sorry if this post is not supposed to be here. but looked for some thing specific abt Eclipse didn't find any so posting it here.

      So the problem is, I have Eclipse 3.4. When I open windows->preferences->Xdoclet I see a error message on top that reads
      "Missing library: xdoclet-1.2.1.jar. Select the home directory for XDoclet. 1.2.1"

      I downloaded that xdoclet1.2.1.jar file from sourceforge but that file is in .zip format. I unzipped it and pointed eclipse to find the file there. But it shows the same error. If i look in to the unzipped folder there actually is no xdoclet-1.2.1.jar there.

      I thought may be the file extention of downloaded file should be changed fom .zip to .jar and did that (by changing the windows settings that allow doing it) and tried to point eclipse to this one. But still the error wont go.

      can any one let me know how to get out of this and use xdoclets....or is there any other plugin for eclipse that would automate ejb 2.1 deployment descriptor creation for Jboss deployment...

      thq for reading ...plz let me know any thing tht would help solve this issue.